package com.wzj.soopin.member.enums;

public enum AccountBillSourceEnum {

    WITHDRAW(1, "提现"),
    WITHDRAW_LOCK(2, "提现锁定"),
    RECHARGE(3, "充值"),
    RECHARGE_REFUND(4, "充值退款"),
    WITHDRAW_REFUND(5, "提现退款"),
    RECHARGE_REFUND_REFUND(6, "充值退款退款"),
    WITHDRAW_REFUND_REFUND(7, "提现退款退款"),
    PAYMENT(8, "支付"),
    RECHARGE_REFUND_REFUND_REFUND(9, "充值退款退款退款"),
    RED_PACKAGE_RECEIVE(10, "红包接收"),
    RED_PACKAGE_SEND(11, "红包发送"),
    RED_PACKAGE_REFUND(12, "红包退款"),
    RED_PACKAGE_REFUND_REFUND(13, "红包退款退款");


    ;

    private Integer code;
    private String message;
    AccountBillSourceEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }
    public String getMessage() {
        return message;
    }
}
